HYPERBOLIC(3M)

NAME
sinh, cosh, tanh, asinh, acosh, atanh - hyperbolic functions

SYNOPSIS
#include <math.h>

double sinh(x)
double x;

double cosh(x)
double x;

double tanh(x)
double x;

double asinh(x)
double x;

double acosh(x)
double x;

double atanh(x)
double x;

DESCRIPTION

These functions compute the designated direct and inverse hyperbolic functions for real arguments. They inherit much of their roundoff error from expm1() and log1p, described in exp(3M).

DIAGNOSTICS
These functions handle exceptional arguments in the spirit of ANSI/IEEE Std 754-1985. Thus sinh() and cosh() return ±∞ on overflow, acosh() returns a NaN if its argument is less than 1, and atanh() returns a NaN if its argument has absolute value greater than 1. In addition, sinh,cosh, and tanh() may also set errno and call matherr(3M).

SEE ALSO
exp(3M), matherr(3M)